com.marklogic.xcc.exceptions

## Class StreamingResultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.marklogic.xcc.exceptions.StreamingResultException

- All Implemented Interfaces:
    java.io.Serializable

      public class StreamingResultException
      extends java.lang.RuntimeException

  This unchecked (runtime) exception may be thrown by some methods of streaming `ResultSequence` objects if an `IOException` occurs while processing the streaming data.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingResultException(ResultSequence resultSequence, java.lang.Throwable cause)`
    `StreamingResultException(java.lang.String message, ResultSequence resultSequence, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSequence` | `getResultSequence()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingResultException

          public StreamingResultException(java.lang.String message,
                                          ResultSequence resultSequence,
                                          java.lang.Throwable cause)

    - #### StreamingResultException

          public StreamingResultException(ResultSequence resultSequence,
                                          java.lang.Throwable cause)

  - ### Method Detail

    - #### getResultSequence

          public ResultSequence getResultSequence()

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com